Closed Bug 1815097 Opened 1 year ago Closed 1 year ago

Update PDF.js to new version e69866492735c36623fbdbc9a96ce5e51a065f55 from 2023-02-04 14:13:12

Categories

(Firefox :: PDF Viewer, enhancement)

enhancement

Tracking

()

RESOLVED FIXED
111 Branch
Tracking Status
firefox111 --- fixed

People

(Reporter: update-bot, Assigned: calixte)

References

(Blocks 1 open bug)

Details

(Whiteboard: [3pl-filed][task_id: DvmuRZu-Qg6umT52WTIlVg])

Attachments

(1 file)

This update covers 19 commits:


849b492b337bdfe95658aa4e61de3ebbd593d759 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/849b492b337bdfe95658aa4e61de3ebbd593d759
Authored: 2023-02-04 10:16:09 +0100
Committed: 2023-02-04 14:18:48 +0100

Move the --scale-select-width CSS variable to the relevant DOM element

The default value of the --scale-select-width CSS variable has been choosen such that it should be large enough for most locales. This means that in many locales we don't even update the CSS variable at all, and for those locales where we do the update happens one time early during the viewer initialization (i.e. before the PDF document has loaded).

Please note: Compared to other recent PRs, the effect of these changes ought to be really tiny and are mostly done to promote better coding patterns.

Files Modified:

  • web/toolbar.js
  • web/viewer.css

3a7fce49a35e8e5ca630396cce9194344f46b9d3 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/3a7fce49a35e8e5ca630396cce9194344f46b9d3
Authored: 2023-02-04 12:31:53 +0100
Committed: 2023-02-04 12:43:55 +0100

A tiny improvement of the MetadataParser._repair method

We can just insert the initial greater-than sign at the start of the buffer, rather than doing that manually at the end.

Files Modified:

  • src/core/metadata_parser.js

851c394e648f5b13adf00f28f7b23682666bea6b by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/851c394e648f5b13adf00f28f7b23682666bea6b
Authored: 2023-02-04 12:26:30 +0100
Committed: 2023-02-04 12:43:53 +0100

Remove the isEmptyObj unit-test helper function

We should be able to let Jasmine simply compare directly against an actually empty Object, rather than using a manually implemented helper function for that.

Files Modified:

  • test/unit/metadata_spec.js
  • test/unit/test_utils.js

2de03a7d9179eff7d622408411cff43b6006228a by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/2de03a7d9179eff7d622408411cff43b6006228a
Authored: 2023-02-04 10:01:16 +0100
Committed: 2023-02-04 11:57:37 +0100

Improve how we cache Promises in WorkerTransport

A number of methods have their Promises cached, to avoid repeated worker round-trips, since they're expected to be called more than once from the default viewer. The way that the caching is currently implemented means that we need to remember to manually clear these Promises on document cleanup/destruction, and it'd be nice to avoid that.

With this patch the relevant Promises are now instead placed in just one Map, which is easy to clear, and a new helper method is also introduced to reduce duplication for simple WorkerTransport methods.

Files Modified:

  • src/display/api.js

94a235db93a221cbf27a4a9a0475be9d211014df by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/94a235db93a221cbf27a4a9a0475be9d211014df
Authored: 2023-02-03 18:13:07 +0100
Committed: 2023-02-03 18:20:36 +0100

[GeckoView] Don't initalize the cursor-tools, since they're unused

The reasons for making this change are:

  • There's no UI available to toggle the cursor-tools in the GeckoView-specific viewer.
  • The HandTool-implementation basically simulates touch scrolling, and is thus unlikely to be helpful/useful anyway.
  • PR 15831 already changed the relevant call-sites to handle PDFViewerApplication.pdfCursorTools being undefined.

Files Modified:

  • web/app.js
  • web/viewer-geckoview.css

d906a383ca3edb7461a390538754fe46f8b6cf68 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/d906a383ca3edb7461a390538754fe46f8b6cf68
Authored: 2023-02-01 11:13:28 +0100
Committed: 2023-02-03 14:55:07 +0100

Remove a couple of manual loops in the PDFViewerApplication.open method

Some of the code in this method is very old, and we could thus modernize it a little bit by removing a couple of the loops used to build the getDocument argument.

Files Modified:

  • web/app.js

aba39d271b7b84865b0a4fb0f9602b796440d24f by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/aba39d271b7b84865b0a4fb0f9602b796440d24f
Authored: 2023-02-03 14:16:24 +0100
Committed: 2023-02-03 14:23:58 +0100

[GeckoView] Remove unused @media CSS rules

These @media rules were most likely just copy-pasted from the regular viewer, however none of them are currently necessary since the GeckoView-specific viewer doesn't have any toolbars.
Note that the whole purpose of these CSS rules are to make the toolbar, of the regular viewer, responsive. If we in the future add toolbars for the GeckoView-specific viewer, these rules most likely wouldn't be usable as-is anyway.

Files Modified:

  • web/viewer-geckoview.css

ddf5563174a8a5fbe15986ae098de870847e5083 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/ddf5563174a8a5fbe15986ae098de870847e5083
Authored: 2023-02-03 10:08:47 +0100
Committed: 2023-02-03 10:15:26 +0100

Limit the removePageBorders option, in PDFViewer, to only GENERIC builds

This option was added specifically for third-party users, but has never been used in the PDF.js project itself. Furthermore there's no preference that can be used to enable it, and you need to provide the removePageBorders option when initializing a PDFViewer-instance.

This patch thus get rid of a little bit more unused code in the Firefox PDF Viewer.

Files Modified:

  • web/pdf_viewer.css
  • web/pdf_viewer.js

f94b34878229b84048a85b53178f6dc943054408 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/f94b34878229b84048a85b53178f6dc943054408
Authored: 2023-02-02 21:17:49 +0100
Committed: 2023-02-02 21:29:11 +0100

Remove the loadingIcon in all cases when resetting the page (PR 15992 follow-up)

Unfortunately I missed this during testing/reviewing of PR 15992.

With the changes in PR 15992 we're now only adding the loadingIcon-class when rendering is actually RUNNING, in order to improve overall performance.
However when resetting the page, i.e. the INITIAL state, we also need to remove the loadingIcon completely. Without this patch if you scroll through a document where the pages don't load instantaneously, see e.g. issue 2504, we'll leave the loadingIcon-class attached to pages that have had their rendering cancelled and also been evicted from the PDFPageViewBuffer-instance.

Files Modified:

  • web/pdf_page_view.js

fc8494b2c23e4acdce3908954ecf4a04f7984f59 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/fc8494b2c23e4acdce3908954ecf4a04f7984f59
Authored: 2023-02-02 17:59:07 +0100
Committed: 2023-02-02 18:00:12 +0100

Limit the singlePageView CSS rules to only the COMPONENTS build

These CSS rules exist solely for the pageviewer viewer-component example, see https://github.com/mozilla/pdf.js/tree/master/examples/components, and consequently it doesn't make sense in other builds.

Files Modified:

  • web/pdf_viewer.css

aac073feeb9cebb5c8c24fc8a249f8ea2d809fdb by Calixte Denizet

https://github.com/mozilla/pdf.js/commit/aac073feeb9cebb5c8c24fc8a249f8ea2d809fdb
Authored: 2023-01-29 17:53:01 +0100
Committed: 2023-02-02 15:33:53 +0100

Remove the loading icon div and replace it by a pure css solution using :after.

This way we don't have a lot of useless divs and we let the css engine handle the
creation/destruction of the :after pseudo-element.
It'll help to slightly improve performance when zooming.

Files Modified:

  • l10n/en-US/viewer.properties
  • web/l10n_utils.js
  • web/pdf_page_view.js
  • web/pdf_viewer.css

185281957d2f5c0c12e621f380d8ab59803c39c2 by Calixte Denizet

https://github.com/mozilla/pdf.js/commit/185281957d2f5c0c12e621f380d8ab59803c39c2
Authored: 2023-01-27 22:54:32 +0100
Committed: 2023-02-01 17:53:44 +0100

[Editor] Make the annotation editor layer invisible when disabled and empty

It'll help to avoid to consider them when the browser is restyling.

Files Modified:

  • src/display/editor/annotation_editor_layer.js
  • web/annotation_editor_layer_builder.js

cf8ee475894f1739e9550f9848600093773196b1 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/cf8ee475894f1739e9550f9848600093773196b1
Authored: 2023-01-31 21:34:42 +0100
Committed: 2023-02-01 09:33:22 +0100

Remove unused parameters from the onOpenWithTransport method in PDFViewerApplication.initPassiveLoading

The only parameter that we actually need here is the PDFDataRangeTransport-instance, since the others are not necessary.

Files Modified:

  • src/display/api.js
  • web/app.js
  • web/firefoxcom.js

5e8822876763142f1ab91e6802480eee78518a32 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/5e8822876763142f1ab91e6802480eee78518a32
Authored: 2023-01-31 12:00:15 +0100
Committed: 2023-01-31 12:09:44 +0100

Allow, optionally, using worker-modules during local development

Until PR 12563 is deemed safe to land, I'd still like to be able to use worker-modules in the viewer during local development.
Hence this patch which temporarily adds a new workerModules hash-parameter, only available in non-PRODUCTION mode, that allows using worker-modules in the development viewer.

To enable this functionality, simply use http://localhost:8888/web/viewer.html#workerModules=true

Files Modified:

  • docs/contents/getting_started/index.md
  • src/display/api.js
  • src/pdf.worker.js
  • web/app.js

c5d63918980068a1b28987e28cf30051070dab69 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/c5d63918980068a1b28987e28cf30051070dab69
Authored: 2023-01-30 14:12:06 +0100
Committed: 2023-01-30 15:35:02 +0100

[api-minor] Let the cMapPacked parameter, in getDocument, default to true

The initial CMap support was added in PR 4259 using the "raw" Adobe files, however they were quickly deemed to be unnecessarily large. As a result PR 4470 introduced the more compact "binary" CMap format, with both of those PRs being included in the very same release (version 0.8.1334) .

Please note that we've thus never shipped anything except the "binary" CMap files with the PDF library, and furthermore note that we've not even once updated the CMap files since they were originally added almost nine years ago.

Requiring users to remember that cMapPacked = true is necessary, in addition to setting the cMapUrl parameter, in order for CMap loading to work feels like a less than ideal API.
Hence this patch, which suggests that we simply let cMapPacked default to true now.

Files Modified:

  • src/display/api.js
  • src/display/base_factory.js
  • test/driver.js
  • test/unit/annotation_spec.js
  • test/unit/cmap_spec.js
  • test/unit/pdf_find_controller_spec.js
  • test/unit/test_utils.js

808ca828f1d9262c9e0bb7ca45571b7d4abb8468 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/808ca828f1d9262c9e0bb7ca45571b7d4abb8468
Authored: 2023-01-30 12:04:10 +0100
Committed: 2023-01-30 12:13:21 +0100

Extend getGlyphMapForStandardFonts with additional entries (issue 15977)

Files Added:

  • test/pdfs/issue15977_reduced.pdf

Files Modified:

  • src/core/standard_fonts.js
  • test/pdfs/.gitignore
  • test/test_manifest.json

f14413989ce226b8f6d726328d6a5c06c9de589a by Calixte Denizet

https://github.com/mozilla/pdf.js/commit/f14413989ce226b8f6d726328d6a5c06c9de589a
Authored: 2023-01-28 16:23:23 +0100
Committed: 2023-01-30 10:56:37 +0100

Remove the transition when displaying the sidebar when the user prefers reduced motion (bug 1813138)

In Firefox, it can be easily testesd in setting the pref ui.prefersReducedMotion to 1.

Files Modified:

  • web/viewer.css

ca996d25461f12d998c0519b3c8087dcd99abedf by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/ca996d25461f12d998c0519b3c8087dcd99abedf
Authored: 2023-01-26 18:43:08 +0100
Committed: 2023-01-29 20:25:05 +0100

[api-minor] Update the minimum supported browsers, and remove the PostCSS logical plugin

The patch updates the minimum supported browsers/environments as follows:

The recent major release of the PostCSS logical plugin effectively removed support for all of the things that we used it for, which includes (but may not be limited to): preserving the original CSS code (for up-to-date browsers), re-writing the :dir pseudo-class, and support for re-writing float: inline-start;/float: inline-end; properties.
Please find additional details at https://github.com/csstools/postcss-plugins/blob/main/plugins/postcss-logical/CHANGELOG.md#600-january-24-2023
Hence the primary reason for these changes are related to native support for logical CSS properties/values. Currently, in the default viewer, we're using the following ones:

By updating the minimum supported browsers, we thus only have to worry about the last case here. Thankfully there's not that many float: inline-start;/float: inline-end; occurrences, and we can utilize CSS variables together with the pre-processor to support those in a way that won't affect the Firefox PDF Viewer.

Files Modified:

  • gulpfile.js
  • package-lock.json
  • package.json
  • web/viewer.css

e3aaaa378dd70c6b22b2ee8d95bb4da01fb68b48 by Tim van der Meij

https://github.com/mozilla/pdf.js/commit/e3aaaa378dd70c6b22b2ee8d95bb4da01fb68b48
Authored: 2023-01-29 13:47:28 +0100
Committed: 2023-01-29 13:47:28 +0100

Bump versions in pdfjs.config

Files Modified:

  • pdfjs.config

Assignee: nobody → cdenizet
Status: NEW → ASSIGNED

The try push is done, we found jobs with unclassified failures.

Needs Investigation (From Push Health):

  • No tests were found for flavor 'plain' and the following manifest filters:
    skip_if, run_if, fail_if, subsuite(name=None), tags(['condprof']), pathprefix(['toolkit/components/pdfjs/test'])

    Make sure the test paths (if any) are spelt correctly and the corresponding
    --flavor and --subsuite are being used. See mach mochitest --help for a
    list of valid flavors.

    • 2 of 2 failed on different tasks
      - test-linux1804-64-qr/opt-mochitest-plain-condprof-1 (YRbbAC3wQB-yXMuAVPBJ0w)
      - test-windows10-64-2004-qr/opt-mochitest-plain-condprof-1 (STryj7cHQS6pfGvNT1uZnQ)
  • toolkit/components/pdfjs/test/browser_pdfjs_fullscreen.js

    • 17 of 17 failed on different tasks
      - test-linux1804-64-qr/debug-mochitest-browser-chrome-spi-nw-1 (GdAqkLfHSZaGz7zhB5xeiw)
      - test-linux1804-64-qr/debug-mochitest-browser-chrome-swr-1 (L06zfNQYRnSXarxc8XUNzQ)
      - test-windows10-32-2004-qr/debug-mochitest-browser-chrome-1 (WKv6h9XBSMeDGy7K8YPehw)
      - test-linux1804-64-qr/opt-mochitest-browser-chrome-spi-nw-1 (BuZRonnmST-BkfKp9xp5tQ)
      - test-linux1804-64-qr/opt-mochitest-browser-chrome-swr-a11y-checks-1 (Qo7Sg_9uSROxUg-aL7-q0Q)
      - test-linux1804-64-qr/opt-mochitest-browser-chrome-swr-1 (Y610DT1dQC-uiscmW2jn9Q)
      - test-windows7-32-qr/opt-mochitest-browser-chrome-1 (d9FcPFFkRzObf4c-5hULNQ)
      - test-windows10-64-2004-qr/debug-mochitest-browser-chrome-spi-nw-1 (alj-OWCVTbKn2GdJ-fZbSg)
      - test-windows10-64-2004-qr/debug-mochitest-browser-chrome-1 (KvhoPqPNSBaWdMhojRXhkA)
      - test-windows10-64-2004-qr/debug-mochitest-browser-chrome-swr-1 (RK5ROAkZRe-RdkJ9RMaJVw)
      - test-macosx1015-64-qr/debug-mochitest-browser-chrome-spi-nw-1 (BlSIa7B_S1uhl3oE_OmU1Q)
      - test-macosx1015-64-qr/debug-mochitest-browser-chrome-1 (OFQVA89TQvKXsFDsLVFHPw)
      - test-windows10-64-2004-qr/opt-mochitest-browser-chrome-1 (eBOcDf50Tz63YUBIYO_UIA)
      - test-windows10-64-2004-qr/opt-mochitest-browser-chrome-spi-nw-1 (TBy0fS5RQ0OgpLR_TOevdA)
      - test-macosx1015-64-qr/opt-mochitest-browser-chrome-spi-nw-1 (JTnCyHhnQg2j7ESrouOI-Q)
      - test-macosx1015-64-qr/opt-mochitest-browser-chrome-1 (NlbXMeMaTK6Bwv2Fd5xXhA)
      - test-windows10-64-2004-qr/opt-mochitest-browser-chrome-msix-1 (W6AEPYcjSuu4HH968dSsOg)
  • toolkit/components/pdfjs/test/browser_pdfjs_load_telemetry.js

    • 17 of 17 failed on different tasks
      - test-linux1804-64-qr/debug-mochitest-browser-chrome-spi-nw-1 (GdAqkLfHSZaGz7zhB5xeiw)
      - test-linux1804-64-qr/debug-mochitest-browser-chrome-swr-1 (L06zfNQYRnSXarxc8XUNzQ)
      - test-windows10-32-2004-qr/debug-mochitest-browser-chrome-1 (WKv6h9XBSMeDGy7K8YPehw)
      - test-linux1804-64-qr/opt-mochitest-browser-chrome-spi-nw-1 (BuZRonnmST-BkfKp9xp5tQ)
      - test-linux1804-64-qr/opt-mochitest-browser-chrome-swr-a11y-checks-1 (Qo7Sg_9uSROxUg-aL7-q0Q)
      - test-linux1804-64-qr/opt-mochitest-browser-chrome-swr-1 (Y610DT1dQC-uiscmW2jn9Q)
      - test-windows7-32-qr/opt-mochitest-browser-chrome-1 (d9FcPFFkRzObf4c-5hULNQ)
      - test-windows10-64-2004-qr/debug-mochitest-browser-chrome-spi-nw-1 (alj-OWCVTbKn2GdJ-fZbSg)
      - test-windows10-64-2004-qr/debug-mochitest-browser-chrome-1 (KvhoPqPNSBaWdMhojRXhkA)
      - test-windows10-64-2004-qr/debug-mochitest-browser-chrome-swr-1 (RK5ROAkZRe-RdkJ9RMaJVw)
      - test-macosx1015-64-qr/debug-mochitest-browser-chrome-spi-nw-1 (BlSIa7B_S1uhl3oE_OmU1Q)
      - test-macosx1015-64-qr/debug-mochitest-browser-chrome-1 (OFQVA89TQvKXsFDsLVFHPw)
      - test-windows10-64-2004-qr/opt-mochitest-browser-chrome-1 (eBOcDf50Tz63YUBIYO_UIA)
      - test-windows10-64-2004-qr/opt-mochitest-browser-chrome-spi-nw-1 (TBy0fS5RQ0OgpLR_TOevdA)
      - test-macosx1015-64-qr/opt-mochitest-browser-chrome-spi-nw-1 (JTnCyHhnQg2j7ESrouOI-Q)
      - test-macosx1015-64-qr/opt-mochitest-browser-chrome-1 (NlbXMeMaTK6Bwv2Fd5xXhA)
      - test-windows10-64-2004-qr/opt-mochitest-browser-chrome-msix-1 (W6AEPYcjSuu4HH968dSsOg)
  • toolkit/components/pdfjs/test/browser_pdfjs_nonpdf_filename.js

    • 17 of 17 failed on different tasks
      - test-linux1804-64-qr/debug-mochitest-browser-chrome-spi-nw-1 (GdAqkLfHSZaGz7zhB5xeiw)
      - test-linux1804-64-qr/debug-mochitest-browser-chrome-swr-1 (L06zfNQYRnSXarxc8XUNzQ)
      - test-windows10-32-2004-qr/debug-mochitest-browser-chrome-1 (WKv6h9XBSMeDGy7K8YPehw)
      - test-linux1804-64-qr/opt-mochitest-browser-chrome-spi-nw-1 (BuZRonnmST-BkfKp9xp5tQ)
      - test-linux1804-64-qr/opt-mochitest-browser-chrome-swr-a11y-checks-1 (Qo7Sg_9uSROxUg-aL7-q0Q)
      - test-linux1804-64-qr/opt-mochitest-browser-chrome-swr-1 (Y610DT1dQC-uiscmW2jn9Q)
      - test-windows7-32-qr/opt-mochitest-browser-chrome-1 (d9FcPFFkRzObf4c-5hULNQ)
      - test-windows10-64-2004-qr/debug-mochitest-browser-chrome-spi-nw-1 (alj-OWCVTbKn2GdJ-fZbSg)
      - test-windows10-64-2004-qr/debug-mochitest-browser-chrome-1 (KvhoPqPNSBaWdMhojRXhkA)
      - test-windows10-64-2004-qr/debug-mochitest-browser-chrome-swr-1 (RK5ROAkZRe-RdkJ9RMaJVw)
      - test-macosx1015-64-qr/debug-mochitest-browser-chrome-spi-nw-1 (BlSIa7B_S1uhl3oE_OmU1Q)
      - test-macosx1015-64-qr/debug-mochitest-browser-chrome-1 (OFQVA89TQvKXsFDsLVFHPw)
      - test-windows10-64-2004-qr/opt-mochitest-browser-chrome-1 (eBOcDf50Tz63YUBIYO_UIA)
      - test-windows10-64-2004-qr/opt-mochitest-browser-chrome-spi-nw-1 (TBy0fS5RQ0OgpLR_TOevdA)
      - test-macosx1015-64-qr/opt-mochitest-browser-chrome-spi-nw-1 (JTnCyHhnQg2j7ESrouOI-Q)
      - test-macosx1015-64-qr/opt-mochitest-browser-chrome-1 (NlbXMeMaTK6Bwv2Fd5xXhA)
      - test-windows10-64-2004-qr/opt-mochitest-browser-chrome-msix-1 (W6AEPYcjSuu4HH968dSsOg)
  • toolkit/components/pdfjs/test/browser_pdfjs_secondary_toolbar_telemetry.js

    • 17 of 17 failed on different tasks
      - test-linux1804-64-qr/debug-mochitest-browser-chrome-spi-nw-1 (GdAqkLfHSZaGz7zhB5xeiw)
      - test-linux1804-64-qr/debug-mochitest-browser-chrome-swr-1 (L06zfNQYRnSXarxc8XUNzQ)
      - test-windows10-32-2004-qr/debug-mochitest-browser-chrome-1 (WKv6h9XBSMeDGy7K8YPehw)
      - test-linux1804-64-qr/opt-mochitest-browser-chrome-spi-nw-1 (BuZRonnmST-BkfKp9xp5tQ)
      - test-linux1804-64-qr/opt-mochitest-browser-chrome-swr-a11y-checks-1 (Qo7Sg_9uSROxUg-aL7-q0Q)
      - test-linux1804-64-qr/opt-mochitest-browser-chrome-swr-1 (Y610DT1dQC-uiscmW2jn9Q)
      - test-windows7-32-qr/opt-mochitest-browser-chrome-1 (d9FcPFFkRzObf4c-5hULNQ)
      - test-windows10-64-2004-qr/debug-mochitest-browser-chrome-spi-nw-1 (alj-OWCVTbKn2GdJ-fZbSg)
      - test-windows10-64-2004-qr/debug-mochitest-browser-chrome-1 (KvhoPqPNSBaWdMhojRXhkA)
      - test-windows10-64-2004-qr/debug-mochitest-browser-chrome-swr-1 (RK5ROAkZRe-RdkJ9RMaJVw)
      - test-macosx1015-64-qr/debug-mochitest-browser-chrome-spi-nw-1 (BlSIa7B_S1uhl3oE_OmU1Q)
      - test-macosx1015-64-qr/debug-mochitest-browser-chrome-1 (OFQVA89TQvKXsFDsLVFHPw)
      - test-windows10-64-2004-qr/opt-mochitest-browser-chrome-1 (eBOcDf50Tz63YUBIYO_UIA)
      - test-windows10-64-2004-qr/opt-mochitest-browser-chrome-spi-nw-1 (TBy0fS5RQ0OgpLR_TOevdA)
      - test-macosx1015-64-qr/opt-mochitest-browser-chrome-spi-nw-1 (JTnCyHhnQg2j7ESrouOI-Q)
      - test-macosx1015-64-qr/opt-mochitest-browser-chrome-1 (NlbXMeMaTK6Bwv2Fd5xXhA)
      - test-windows10-64-2004-qr/opt-mochitest-browser-chrome-msix-1 (W6AEPYcjSuu4HH968dSsOg)

Needs Investigation (Other Failed Jobs):

  • test-macosx1015-64-qr/debug-mochitest-devtools-chrome-spi-nw-1
    • 4 of 4 failed on the same (retriggered) task (KC_S56FVQsST3Ar2HrAFVQ, Io_OuPoMSa-BGqmtPAUcYQ, B8qBtG5zSLSjPvYtHXOeng, au6UgfVlT8izk7oSXD7PgA)
  • test-linux1804-64-qr/debug-mochitest-devtools-chrome-swr-1
    • 4 of 4 failed on the same (retriggered) task (LzETutg6RKCHUx-qhK3wCQ, e7JVIB33TuisMCCPzo7uew, Yjo6SkFdRnitW7EXCUMqcA, bTJmhLjmT-yNU-kVFQWcRQ)
  • test-linux1804-64-qr/debug-mochitest-devtools-chrome-1
    • 4 of 4 failed on the same (retriggered) task (QYYoWBkpQPmXfvJfEUnPkQ, Zc1iSXOiSKGTI8JUxGLE4g, WS75akRNSMuNAxTEZlPLAw, SaX6juWKTFGTlzVUsQCEfg)
  • test-windows10-64-2004-qr/debug-mochitest-devtools-chrome-spi-nw-1
    • 4 of 4 failed on the same (retriggered) task (I2kDc41cQUarIj5UeJycKg, GfkuEFFwSKq9DE0cTO2SMw, XuywOP7RQ9W2UJklptDCnA, Eqf25ZtdRVie4KaaxrdGhQ)
  • test-macosx1015-64-qr/debug-mochitest-devtools-chrome-1
    • 4 of 4 failed on the same (retriggered) task (JPqXDfuCRbGboDwZkaHA_A, HZGsB1wiSTGmppww-ZNjkQ, Du6WlLg0Q6az9LLWxEEjqg, XpRp9-22S-CMy4FVhXRqTA)
  • test-linux1804-64-qr/debug-mochitest-devtools-chrome-spi-nw-1
    • 4 of 4 failed on the same (retriggered) task (FGrfMnbIQPWINcxAJYHfhw, VOuR2suJTYeEYRGdj_3Rzw, TK39nIFzRjyOjqQg5ty7lQ, KFzMkdr8SwOFUhFOumIBZQ)
  • test-windows10-64-2004-qr/debug-mochitest-devtools-chrome-1
    • 4 of 4 failed on the same (retriggered) task (dxZ4ZEzeSwCHEVj5vrwEzg, BG-s6NtLTb2TWOpFShHgXg, AaBB6EdbTN6rI0ySXngeWg, RS9D3cHVQOaWkdRX3hxV1A)

These failures could mean that the library update changed something and caused
tests to fail. You'll need to review them yourself and decide where to go from here.

In either event, I have done all I can and you will need to take it from here. If you
don't want to land my patch, you can replicate it locally for editing with
./mach vendor toolkit/components/pdfjs/moz.yaml

When reviewing, please note that this is external code, which needs a full and
careful inspection - not a rubberstamp.

Flags: needinfo?(cdenizet)
Pushed by cdenizet@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/01101b9cac29
Update PDF.js to e69866492735c36623fbdbc9a96ce5e51a065f55 r=pdfjs-reviewers,marco
Flags: needinfo?(cdenizet)
Status: ASSIGNED → RESOLVED
Closed: 1 year ago
Resolution: --- → FIXED
Target Milestone: --- → 111 Branch
You need to log in before you can comment on or make changes to this bug.

Attachment

General

Creator:
Created:
Updated:
Size: